org.keycloak.models.entities

## Class GroupEntity

- java.lang.Object
- - org.keycloak.models.entities.AbstractIdentifiableEntity
  - - org.keycloak.models.entities.GroupEntity

- Direct Known Subclasses:
    MongoGroupEntity

      public class GroupEntity
      extends AbstractIdentifiableEntity

  Author:
    Bill Burke/a>

- - ### Field Summary

    - ### Fields inherited from class org.keycloak.models.entities.AbstractIdentifiableEntity

      `id`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `GroupEntity()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Map<String,List<String>>` | `getAttributes()`
    `String` | `getName()`
    `String` | `getParentId()`
    `String` | `getRealmId()`
    `List<String>` | `getRoleIds()`
    `void` | `setAttributes(Map<String,List<String>> attributes)`
    `void` | `setName(String name)`
    `void` | `setParentId(String parentId)`
    `void` | `setRealmId(String realmId)`
    `void` | `setRoleIds(List<String> roleIds)`

    - ### Methods inherited from class org.keycloak.models.entities.AbstractIdentifiableEntity

      `equals, getId, hashCode, setId, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### GroupEntity

          public GroupEntity()

  - ### Method Detail

    - #### getRealmId

          public String getRealmId()

    - #### setRealmId

          public void setRealmId(String realmId)

    - #### getRoleIds

          public List<String> getRoleIds()

    - #### setRoleIds

          public void setRoleIds(List<String> roleIds)

    - #### getAttributes

          public Map<String,List<String>> getAttributes()

    - #### setAttributes

          public void setAttributes(Map<String,List<String>> attributes)

    - #### getName

          public String getName()

    - #### setName

          public void setName(String name)

    - #### getParentId

          public String getParentId()

    - #### setParentId

          public void setParentId(String parentId)

Copyright © 2016 JBoss by Red Hat. All rights reserved.